<?php
/*
Plugin Name: 	Display comments
Version: 	1.0
Plugin URI: 	http://www.zomaarroland.nl/archives/plugin-display-comments
Author: 	Roland
Author URI: 	http://www.zomaarroland.nl
Description: 	Display most recent comments.
History:	24-02-2008 Version 1.0
To do:		Group by post-id
*/

function display_comments($dc_count) {
global $wpdb;

/* Variables */
$pre_HTML="<h3>Recent Comments</h3>";
$post_HTML="";
$sql  = "SELECT DISTINCT ID, post_title, comment_ID, comment_post_ID, comment_author, comment_author_url, comment_date_gmt, comment_approved "; 
$sql .= "FROM $wpdb->comments, $wpdb->posts ";
$sql .=	"WHERE comment_approved = '1' AND $wpdb->comments.comment_post_ID = $wpdb->posts.ID "; 
$sql .=	"ORDER BY comment_date_gmt DESC ";
$sql .= "LIMIT $dc_count";

$comments = $wpdb->get_results($sql);

$output = $pre_HTML;
$output .= "\n<ul>";
foreach ($comments as $comment) {
	$output .= "\n\t<li><a href=\"" .$comment->comment_author_url."\">" .$comment->comment_author. "</a> on <a href=\"" . get_permalink($comment->ID) . "#comment-" . $comment->comment_ID  . "\" title=\"on " . $comment->post_title . "\">" . $comment->post_title . "</a></li>";
}
$output .= "\n</ul>";
$output .= $post_HTML;

echo $output;
}

?>
